Subject: Re: bug#44808: Default to allowing password authentication on leaves users vulnerable

From: Ludovic Courtès <[email-masked]>
Date: Tue, 08 Dec 2020 11:36:51 +0100

Hi,

Mark H Weaver <[email-masked]> skribis:

> "Dr. Arne Babenhauserheide" <[email-masked]> writes:
>> To nudge them to secure their system, guix system reconfigure could emit
>> a warning that this is a potential security risk that requires setting
>> an explicit value (password yes or no) to silence.
>
> I think this is a good idea.  Likewise, in the Guix installer, I would
> favor asking the user whether or not to enable password authentication,
> after warning them that it is a security risk.
>
> I agree with Chris that password authentication is a significant
> security risk, but I also worry that if we simply disable it, it will
> catch some users by surprise and they may be quite unhappy about it.

What do you think of the approach in
<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=aecd2a13cbd8301d0fdeafcacbf69e12cc3f6138>?

The default is unchanged but the warning could be kept say until the
next release, at which point we’d change the default.

Or are you suggesting keeping the default unchanged?

Ludo’.